Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:37 2009

## Asterisk developer's documentation

# dundi_peer Struct Reference

Collaboration diagram for dundi_peer:

[legend]

## Data Fields

struct sockaddr_in | addr
int | avgms
int | dead
int | dynamic
dundi_eid | eid
struct permission * | include
char | inkey [80]
time_t | keyexpire
struct dundi_transaction * | keypending
int | lastms
char * | lookups [DUNDI_TIMING_HISTORY]
int | lookuptimes [DUNDI_TIMING_HISTORY]
int | maxms
int | model
struct dundi_peer * | next
int | order
char | outkey [80]
int | pcmodel
struct permission * | permit
struct permission * | precachereceive
struct permission * | precachesend
int | qualifyid
struct dundi_transaction * | qualtrans
struct timeval | qualtx
int | registerexpire
int | registerid
struct dundi_transaction * | regtrans
unsigned char | rxenckey [256]
int | sentfullkey
aes_decrypt_ctx | them_dcx
aes_encrypt_ctx | them_ecx
unsigned long | them_keycrc32
unsigned char | txenckey [256]
aes_decrypt_ctx | us_dcx
aes_encrypt_ctx | us_ecx
dundi_eid | us_eid
unsigned long | us_keycrc32

## Detailed Description

Definition at line 236 of file pbx_dundi.c.

## Field Documentation

struct sockaddr_in addr`[read]`

Definition at line 238 of file pbx_dundi.c.

Referenced by append_transaction(), apply_peer(), build_peer(), create_transaction(), do_register_expire(), dundi_show_peer(), dundi_show_peers(), handle_command_response(), and populate_addr().

int avgms

Definition at line 263 of file pbx_dundi.c.

Referenced by destroy_trans(), dundi_flush(), dundi_show_peer(), and dundi_show_peers().

int dead

Definition at line 246 of file pbx_dundi.c.

Referenced by build_peer(), mark_peers(), and prune_peers().

int dynamic

Definition at line 269 of file pbx_dundi.c.

Referenced by build_peer(), dundi_show_peer(), dundi_show_peers(), and handle_command_response().

dundi_eid eid

Definition at line 237 of file pbx_dundi.c.

Referenced by append_transaction(), apply_peer(), build_peer(), build_transactions(), check_key(), complete_peer_helper(), destroy_trans(), do_register(), do_register_expire(), dundi_ie_append_eid_appropriately(), dundi_show_peer(), dundi_show_peers(), find_peer(), handle_command_response(), optimize_transactions(), and update_key().

struct permission* include`[read]`

Definition at line 240 of file pbx_dundi.c.

Referenced by build_peer(), build_transactions(), destroy_peer(), dundi_ie_append_eid_appropriately(), dundi_show_peer(), handle_command_response(), and optimize_transactions().

char inkey[80]

Definition at line 244 of file pbx_dundi.c.

Referenced by apply_peer(), build_peer(), check_key(), dundi_show_peer(), handle_command_response(), and update_key().

time_t keyexpire

Definition at line 259 of file pbx_dundi.c.

Referenced by update_key().

struct dundi_transaction* keypending`[read]`

Definition at line 266 of file pbx_dundi.c.

Referenced by destroy_peer(), destroy_trans(), and dundi_show_peer().

int lastms

Definition at line 270 of file pbx_dundi.c.

Referenced by append_transaction(), apply_peer(), destroy_trans(), do_register_expire(), dundi_show_peers(), and qualify_peer().

char* lookups[DUNDI_TIMING_HISTORY]

Definition at line 262 of file pbx_dundi.c.

Referenced by destroy_trans(), dundi_flush(), and dundi_show_peer().

int lookuptimes[DUNDI_TIMING_HISTORY]

Definition at line 261 of file pbx_dundi.c.

Referenced by destroy_trans(), dundi_flush(), and dundi_show_peer().

int maxms

Definition at line 271 of file pbx_dundi.c.

Referenced by append_transaction(), apply_peer(), build_peer(), destroy_trans(), dundi_show_peers(), and qualify_peer().

int model

Definition at line 267 of file pbx_dundi.c.

Referenced by build_peer(), build_transactions(), dundi_show_peer(), dundi_show_peers(), and handle_command_response().

struct dundi_peer* next`[read]`

Definition at line 273 of file pbx_dundi.c.

Referenced by build_peer(), build_transactions(), complete_peer_helper(), destroy_trans(), dundi_flush(), dundi_ie_append_eid_appropriately(), dundi_show_peer(), dundi_show_peers(), find_peer(), mark_peers(), optimize_transactions(), and prune_peers().

int order

Definition at line 250 of file pbx_dundi.c.

Referenced by build_peer(), build_transactions(), dundi_show_peer(), and optimize_transactions().

char outkey[80]

Definition at line 245 of file pbx_dundi.c.

Referenced by build_peer(), check_key(), dundi_show_peer(), and update_key().

int pcmodel

Definition at line 268 of file pbx_dundi.c.

Referenced by build_peer(), build_transactions(), and handle_command_response().

struct permission* permit`[read]`

Definition at line 239 of file pbx_dundi.c.

Referenced by build_peer(), build_transactions(), destroy_peer(), dundi_show_peer(), and handle_command_response().

struct permission* precachereceive`[read]`

Definition at line 242 of file pbx_dundi.c.

struct permission* precachesend`[read]`

Definition at line 241 of file pbx_dundi.c.

int qualifyid

Definition at line 248 of file pbx_dundi.c.

Referenced by build_peer(), destroy_peer(), do_qualify(), and qualify_peer().

struct dundi_transaction* qualtrans`[read]`

Definition at line 265 of file pbx_dundi.c.

Referenced by destroy_trans(), and qualify_peer().

struct timeval qualtx`[read]`

Definition at line 272 of file pbx_dundi.c.

Referenced by destroy_trans(), and qualify_peer().

int registerexpire

Definition at line 260 of file pbx_dundi.c.

Referenced by build_peer(), do_register_expire(), handle_command_response(), and populate_addr().

int registerid

Definition at line 247 of file pbx_dundi.c.

Referenced by build_peer(), destroy_peer(), do_register(), and dundi_show_peer().

struct dundi_transaction* regtrans`[read]`

Definition at line 264 of file pbx_dundi.c.

Referenced by destroy_peer(), destroy_trans(), and do_register().

unsigned char rxenckey[256]

Definition at line 252 of file pbx_dundi.c.

Referenced by check_key().

int sentfullkey

Definition at line 249 of file pbx_dundi.c.

Referenced by create_transaction(), dundi_encrypt(), handle_command_response(), and update_key().

aes_decrypt_ctx them_dcx

Definition at line 258 of file pbx_dundi.c.

Referenced by check_key(), and handle_command_response().

aes_encrypt_ctx them_ecx

Definition at line 257 of file pbx_dundi.c.

Referenced by check_key(), and handle_command_response().

unsigned long them_keycrc32

Definition at line 256 of file pbx_dundi.c.

Referenced by check_key().

unsigned char txenckey[256]

Definition at line 251 of file pbx_dundi.c.

Referenced by dundi_encrypt(), handle_command_response(), and update_key().

aes_decrypt_ctx us_dcx

Definition at line 255 of file pbx_dundi.c.

Referenced by dundi_encrypt(), and update_key().

aes_encrypt_ctx us_ecx

Definition at line 254 of file pbx_dundi.c.

Referenced by dundi_encrypt(), and update_key().

dundi_eid us_eid

Definition at line 243 of file pbx_dundi.c.

Referenced by apply_peer(), build_peer(), build_transactions(), do_register(), and handle_command_response().

unsigned long us_keycrc32

Definition at line 253 of file pbx_dundi.c.

Referenced by dundi_encrypt(), and update_key().

The documentation for this struct was generated from the following file:

- pbx_dundi.c